%% compare benchmarking result
clc, clear, close all

load calculationOfMineForBenchmarking_1.mat
Watt_list_LoKi = mine_reset_power;
n_Hestar_LoKi_1 = cell2mat(mine_n_Hestar_list);
mine_n_Hestar_LoKi = zeros(1,length(mine_n_list));
for i=1:length(mine_n_list)
    mine_n_Hestar_LoKi(i) = mine_n_list{i}(end,2);
end

load calculationOfMineForBenchmarking_2.mat
Watt_list_LoKi_new = mine_reset_power;
n_Hestar_LoKi_2 = cell2mat(mine_n_Hestar_list);
mine_n_Hestar_LoKi_new  = zeros(1,length(mine_n_list));
for i=1:length(mine_n_list)
    mine_n_Hestar_LoKi_new(i)  = mine_n_list{i}(end,2);
end

fid = fopen('Sinlefreq13p56He_1000_N2_0p5_500Vpp.dat');
format='%f%f%f';
T_1=textscan(fid,format,'HeaderLines',1);
T_average_1=trapz(T_1{1,1},T_1{1,2}*1e6)
Experiment_power_1 = 0.27;
Experiment_n_Hestar_1 = T_average_1;
fid = fopen('Sinlefreq13p56He_1000_N2_1p0_500Vpp.dat');
format='%f%f%f';
T_2=textscan(fid,format,'HeaderLines',1);
T_average_2=trapz(T_2{1,1},T_2{1,2}*1e6)
Experiment_power_2 = 0.246;
Experiment_n_Hestar_2 = T_average_2;

%% n_Hestar density comparison between original He(Was10) and updated He chemical kinetics

figure(1)
% 2021-03-12: Additional data from Ihor' paper to be submitted in 2021
% We have 4 points for He+0.1% N2 mixture
% Power [W]  dens [cm-3]
% 0.22         1.975x10^10
% 0.395        3.63x10^10
% 0.705       6.12x10^10
% 1.01         8.25x10^10
Experiment_power_2_add = [Experiment_power_2, 0.22, 0.395, 0.705, 1.01];
Experiment_n_Hestar_2_add = [Experiment_n_Hestar_2, 1.975e16, 3.63e16, 6.12e16, 8.25e16];

m1 = plot(Experiment_power_1,Experiment_n_Hestar_1,'s','Color','b','MarkerSize',8);
% set(m1, 'markerfacecolor', get(m1, 'color'));
hold on
plot(Watt_list_LoKi,mine_n_Hestar_LoKi,'--b','LineWidth',2)
hold on
m3 = plot(Experiment_power_2_add,Experiment_n_Hestar_2_add,'s','Color','r','MarkerSize',8);
set(m3, 'markerfacecolor', get(m3, 'color'));
hold on
plot(Watt_list_LoKi_new,mine_n_Hestar_LoKi_new,'-r','LineWidth',2)

set(gca,'FontSize',15)

xlim([0 1.2])
xticks([0:0.2:1.2])
set(gca, 'YScale', 'log')
ylim([1e15 1e18])

xlabel('Absorbed power (W)')
ylabel('He(2^3S) density (m^{-3})')
lgd2 = legend('Meas.(0.05% N_2)','Sim.(0.05% N_2)','Meas.(0.1% N_2)','Sim.(0.1% N_2)','Location','NorthWest')
lgd2.FontSize = 14;

set(gcf,'position',[100,100,600,450])

text(0.90,0.95,'(a)','Units','normalized','Color','k','FontSize',15)

% saveas(figure(1),'/home/he/Pictures/paper/5a_Kor20_nHeStar.jpg');
% saveas(figure(1),'/home/he/Pictures/paper/5a_Kor20_nHeStar.png');
% saveas(figure(1),'/home/he/Pictures/paper/5a_Kor20_nHeStar.eps', 'epsc');
% saveas(figure(1),'/home/he/Pictures/paper/5a_Kor20_nHeStar.pdf');


























