%% compare benchmarking result
clc, clear, close all

addpath('0_Schneider')

load calculationOfMineForBenchmarking.mat
gas_ratio = reset_gas_ratio;
mine_n_N = cell2mat(mine_n_N_list);

[Experiment_gas_ratio, Experiment_n_N] = get_n_Te('meas_Schneider_2014_fig3_N.csv');



figure(1)
h1=plot(gas_ratio(1:end-1).*100,mine_n_N(1:end-1),'-','Color','k','LineWidth',2);
hold on
m1 = plot(Experiment_gas_ratio,Experiment_n_N,'o','Color','k','MarkerSize',8);
set(m1, 'markerfacecolor', get(m1, 'color'));

xlim([0.00,1.00].*0.01.*100)
xticks([0.00:0.20:1.00].*0.01.*100)
xlabel('N_2 percentage (%)')

set(gca, 'YScale', 'log')
ylim([1e19 1e21])
ylabel('N(^4S) density (m^{-3})')

set(gca,'FontSize', 15)

lgd3 = legend('Sim.','Meas.','Location','NorthWest');
lgd3.FontSize = 15;

set(gcf,'position',[100,100,600,450])

text(0.90,0.95,'(b)','Units','normalized','Color','k','FontSize',15)

% saveas(figure(1),'/home/he/Pictures/paper/5b_Sch14_nN.jpg');
% saveas(figure(1),'/home/he/Pictures/paper/5b_Sch14_nN.png');
% saveas(figure(1),'/home/he/Pictures/paper/5b_Sch14_nN.eps', 'epsc');
% saveas(figure(1),'/home/he/Pictures/paper/5b_Sch14_nN.pdf');
